zenilib: Zeni::String Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Public Types | Public Member Functions | Static Public Attributes | List of all members
Zeni::String Class Reference

`#include <String.h>`

## Classes

class | const_iterator
class | const_reverse_iterator
struct | Hash
class | iterator
class | reverse_iterator

## Public Types

typedef ptrdiff_t | difference_type
typedef value_type * | pointer
typedef value_type & | reference
typedef size_t | size_type
typedef char | value_type

## Public Member Functions

| String ()
| String (const String &str)
| String (const String &str, size_t pos, size_t n=npos)
| String (const char *s, size_t n)
| String (const char *s)
| String (size_t n, char c)
| String (const std::string &rhs)
| ~String ()
String & | append (const String &str)
String & | append (const String &str, size_t pos, size_t n)
String & | append (const char *s, size_t n)
String & | append (const char *s)
String & | append (size_t n, char c)
String & | assign (const String &str)
String & | assign (const String &str, size_t pos, size_t n)
String & | assign (const char *s, size_t n)
String & | assign (const char *s)
String & | assign (size_t n, char c)
value_type | at (size_t pos) const
value_type & | at (size_t pos)
iterator | begin ()
const_iterator | begin () const
const char * | c_str () const
size_t | capacity () const
void | clear ()
int | compare (const String &str) const
int | compare (const char *s) const
int | compare (size_t pos1, size_t n1, const String &str) const
int | compare (size_t pos1, size_t n1, const char *s) const
int | compare (size_t pos1, size_t n1, const String &str, size_t pos2, size_t n2) const
int | compare (size_t pos1, size_t n1, const char *s, size_t n2) const
size_t | copy (char *s, size_t n, size_t pos=0) const
const char * | data () const
bool | empty () const
iterator | end ()
const_iterator | end () const
String & | erase (size_t pos=0, size_t n=npos)
iterator | erase (iterator position)
iterator | erase (iterator first, iterator last)
size_t | find (const String &str, size_t pos=0) const
size_t | find (const char *s, size_t pos, size_t n) const
size_t | find (const char *s, size_t pos=0) const
size_t | find (char c, size_t pos=0) const
size_t | find_first_not_of (const String &str, size_t pos=0) const
size_t | find_first_not_of (const char *s, size_t pos, size_t n) const
size_t | find_first_not_of (const char *s, size_t pos=0) const
size_t | find_first_not_of (char c, size_t pos=0) const
size_t | find_first_of (const String &str, size_t pos=0) const
size_t | find_first_of (const char *s, size_t pos, size_t n) const
size_t | find_first_of (const char *s, size_t pos=0) const
size_t | find_first_of (char c, size_t pos=0) const
size_t | find_last_not_of (const String &str, size_t pos=npos) const
size_t | find_last_not_of (const char *s, size_t pos, size_t n) const
size_t | find_last_not_of (const char *s, size_t pos=npos) const
size_t | find_last_not_of (char c, size_t pos=npos) const
size_t | find_last_of (const String &str, size_t pos=npos) const
size_t | find_last_of (const char *s, size_t pos, size_t n) const
size_t | find_last_of (const char *s, size_t pos=npos) const
size_t | find_last_of (char c, size_t pos=npos) const
String & | insert (size_t pos1, const String &str)
String & | insert (size_t pos1, const String &str, size_t pos2, size_t n)
String & | insert (size_t pos1, const char *s, size_t n)
String & | insert (size_t pos1, const char *s)
String & | insert (size_t pos1, size_t n, char c)
iterator | insert (iterator p, char c)
void | insert (iterator p, size_t n, char c)
size_t | length () const
size_t | max_size () const
bool | operator!= (const Zeni::String &rhs) const
bool | operator!= (const char *rhs) const
String & | operator+= (const String &str)
String & | operator+= (const char *s)
String & | operator+= (char c)
bool | operator< (const Zeni::String &rhs) const
bool | operator< (const char *rhs) const
bool | operator<= (const Zeni::String &rhs) const
bool | operator<= (const char *rhs) const
String & | operator= (const String &str)
String & | operator= (const char *s)
String & | operator= (char c)
String & | operator= (const std::string &rhs)
bool | operator== (const Zeni::String &rhs) const
bool | operator== (const char *rhs) const
bool | operator> (const Zeni::String &rhs) const
bool | operator> (const char *rhs) const
bool | operator>= (const Zeni::String &rhs) const
bool | operator>= (const char *rhs) const
value_type | operator[] (const unsigned int &pos) const
value_type & | operator[] (const unsigned int &pos)
void | push_back (char c)
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
String & | replace (size_t pos1, size_t n1, const String &str)
String & | replace (iterator i1, iterator i2, const String &str)
String & | replace (size_t pos1, size_t n1, const String &str, size_t pos2, size_t n2)
String & | replace (size_t pos1, size_t n1, const char *s, size_t n2)
String & | replace (iterator i1, iterator i2, const char *s, size_t n2)
String & | replace (size_t pos1, size_t n1, const char *s)
String & | replace (iterator i1, iterator i2, const char *s)
String & | replace (size_t pos1, size_t n1, size_t n2, char c)
String & | replace (iterator i1, iterator i2, size_t n2, char c)
void | reserve (size_t res_arg=0)
void | resize (size_t n, char c)
void | resize (size_t n)
size_t | rfind (const String &str, size_t pos=npos) const
size_t | rfind (const char *s, size_t pos, size_t n) const
size_t | rfind (const char *s, size_t pos=npos) const
size_t | rfind (char c, size_t pos=npos) const
size_t | size () const
std::string | std_str () const
String | substr (size_t pos=0, size_t n=npos) const
void | swap (String &str)

## Static Public Attributes

static const size_type | npos = size_type(-1)

## Detailed Description

Definition at line 29 of file String.h.

## Member Typedef Documentation

typedef ptrdiff_t Zeni::String::difference_type

Definition at line 31 of file String.h.

typedef value_type* Zeni::String::pointer

Definition at line 34 of file String.h.

typedef value_type& Zeni::String::reference

Definition at line 35 of file String.h.

typedef size_t Zeni::String::size_type

Definition at line 32 of file String.h.

typedef char Zeni::String::value_type

Definition at line 33 of file String.h.

## Constructor & Destructor Documentation

Zeni::String::String | ( |  | ) |

Definition at line 273 of file String.cpp.

Referenced by substr().

Zeni::String::String | ( | const String & | str | ) |

Definition at line 274 of file String.cpp.

Zeni::String::String | ( | const String & | str,
|  | size_t | pos,
|  | size_t | n = `npos`
| ) |  |

Definition at line 275 of file String.cpp.

Zeni::String::String | ( | const char * | s,
|  | size_t | n
| ) |  |

Definition at line 276 of file String.cpp.

Zeni::String::String | ( | const char * | s | ) |

Definition at line 277 of file String.cpp.

Zeni::String::String | ( | size_t | n,
|  | char | c
| ) |  |

Definition at line 278 of file String.cpp.

Zeni::String::~String | ( |  | ) |

Definition at line 280 of file String.cpp.

Zeni::String::String | ( | const std::string & | rhs | ) |

inlineexplicit

Definition at line 417 of file String.h.

References swap().

## Member Function Documentation

String & Zeni::String::append | ( | const String & | str | ) |

Definition at line 346 of file String.cpp.

Referenced by append().

String & Zeni::String::append | ( | const String & | str,
|  | size_t | pos,
|  | size_t | n
| ) |  |

Definition at line 350 of file String.cpp.

References append().

String & Zeni::String::append | ( | const char * | s,
|  | size_t | n
| ) |  |

Definition at line 354 of file String.cpp.

References append().

String & Zeni::String::append | ( | const char * | s | ) |

Definition at line 358 of file String.cpp.

References append().

String & Zeni::String::append | ( | size_t | n,
|  | char | c
| ) |  |

Definition at line 362 of file String.cpp.

References append().

String & Zeni::String::assign | ( | const String & | str | ) |

Definition at line 369 of file String.cpp.

Referenced by assign().

String & Zeni::String::assign | ( | const String & | str,
|  | size_t | pos,
|  | size_t | n
| ) |  |

Definition at line 373 of file String.cpp.

References assign().

String & Zeni::String::assign | ( | const char * | s,
|  | size_t | n
| ) |  |

Definition at line 377 of file String.cpp.

References assign().

String & Zeni::String::assign | ( | const char * | s | ) |

Definition at line 381 of file String.cpp.

References assign().

String & Zeni::String::assign | ( | size_t | n,
|  | char | c
| ) |  |

Definition at line 385 of file String.cpp.

References assign().

String::value_type Zeni::String::at | ( | size_t | pos | ) | const

Definition at line 330 of file String.cpp.

References const.

Referenced by at().

String::value_type & Zeni::String::at | ( | size_t | pos | ) |

Definition at line 331 of file String.cpp.

References at().

String::iterator Zeni::String::begin | ( |  | ) |

Definition at line 298 of file String.cpp.

Referenced by begin(), Zeni::File_Ops::load_asset(), Zeni::String::Hash::operator()(), and operator<<().

String::const_iterator Zeni::String::begin | ( |  | ) | const

Definition at line 299 of file String.cpp.

References begin(), and const.

const char * Zeni::String::c_str | ( |  | ) | const

Definition at line 467 of file String.cpp.

Referenced by Zeni::XML_Element_c::child(), Zeni::XML_Element_c::child_element(), Zeni::Video::compile_glsles_shader(), Zeni::File_Ops::copy_file(), Zeni::XML_Element::create_child(), Zeni::File_Ops::create_directory(), Zeni::XML_Document::create_root(), Zeni::File_Ops::delete_file(), Zeni::File_Ops::file_exists(), Zeni::File_Ops::get_asset_FILE(), Zeni::grab_bytes(), Zeni::Program_GL_Shader::link(), Zeni::Database< TYPE >::load_file(), Zeni::message_box(), Zeni::UDP_Socket::receive(), Zeni::Split_UDP_Socket::receive(), Zeni::File_Ops::remove_directory(), Zeni::Net::resolve_host(), Zeni::UDP_Socket::send(), Zeni::Split_UDP_Socket::send(), Zeni::XML_Element::set_string(), Zeni::Shader_DX9::Shader_DX9(), Zeni::Shader_GL_Fixed::Shader_GL_Fixed(), Zeni::Shader_GL_Shader::Shader_GL_Shader(), Zeni::XML_Document::try_load(), Zeni::XML_Document::try_load_mem(), Zeni::TCP_Socket::try_receive(), Zeni::XML_Document::try_save(), and Zeni::TCP_Socket::try_send().

size_t Zeni::String::capacity | ( |  | ) | const

Definition at line 319 of file String.cpp.

void Zeni::String::clear | ( |  | ) |

Definition at line 323 of file String.cpp.

Referenced by Zeni::Console_State::clear_log(), and Zeni::Shader_DX9::Shader_DX9().

int Zeni::String::compare | ( | const String & | str | ) | const

Definition at line 512 of file String.cpp.

Referenced by compare().

int Zeni::String::compare | ( | const char * | s | ) | const

Definition at line 513 of file String.cpp.

References compare().

int Zeni::String::compare | ( | size_t | pos1,
|  | size_t | n1,
|  | const String & | str
| ) |  | const

Definition at line 514 of file String.cpp.

References compare().

int Zeni::String::compare | ( | size_t | pos1,
|  | size_t | n1,
|  | const char * | s
| ) |  | const

Definition at line 515 of file String.cpp.

References compare().

int Zeni::String::compare | ( | size_t | pos1,
|  | size_t | n1,
|  | const String & | str,
|  | size_t | pos2,
|  | size_t | n2
| ) |  | const

Definition at line 516 of file String.cpp.

References compare().

int Zeni::String::compare | ( | size_t | pos1,
|  | size_t | n1,
|  | const char * | s,
|  | size_t | n2
| ) |  | const

Definition at line 517 of file String.cpp.

References compare().

size_t Zeni::String::copy | ( | char * | s,
|  | size_t | n,
|  | size_t | pos = `0`
| ) |  | const

Definition at line 475 of file String.cpp.

const char * Zeni::String::data | ( |  | ) | const

Definition at line 469 of file String.cpp.

bool Zeni::String::empty | ( |  | ) | const

Definition at line 325 of file String.cpp.

Referenced by Zeni::File_Ops::preinit(), Zeni::Material::set(), Zeni::Material::set_Texture(), Zeni::Material::unset(), and Zeni::Console_State::write_to_log().

String::iterator Zeni::String::end | ( |  | ) |

Definition at line 301 of file String.cpp.

Referenced by end(), Zeni::File_Ops::load_asset(), Zeni::String::Hash::operator()(), and operator<<().

String::const_iterator Zeni::String::end | ( |  | ) | const

Definition at line 302 of file String.cpp.

References const, and end().

String & Zeni::String::erase | ( | size_t | pos = `0`,
|  | size_t | n = `npos`
| ) |  |

Definition at line 417 of file String.cpp.

Referenced by erase().

String::iterator Zeni::String::erase | ( | iterator | position | ) |

Definition at line 421 of file String.cpp.

References erase().

String::iterator Zeni::String::erase | ( | iterator | first,
|  | iterator | last
| ) |  |

Definition at line 424 of file String.cpp.

References erase().

size_t Zeni::String::find | ( | const String & | str,
|  | size_t | pos = `0`
| ) |  | const

Definition at line 480 of file String.cpp.

Referenced by Zeni::Configurator_Video::Configurator_Video(), find(), and Zeni::Shader_DX9::Shader_DX9().

size_t Zeni::String::find | ( | const char * | s,
|  | size_t | pos,
|  | size_t | n
| ) |  | const

Definition at line 481 of file String.cpp.

References find().

size_t Zeni::String::find | ( | const char * | s,
|  | size_t | pos = `0`
| ) |  | const

Definition at line 482 of file String.cpp.

References find().

size_t Zeni::String::find | ( | char | c,
|  | size_t | pos = `0`
| ) |  | const

Definition at line 483 of file String.cpp.

References find().

size_t Zeni::String::find_first_not_of | ( | const String & | str,
|  | size_t | pos = `0`
| ) |  | const

Definition at line 500 of file String.cpp.

Referenced by find_first_not_of().

size_t Zeni::String::find_first_not_of | ( | const char * | s,
|  | size_t | pos,
|  | size_t | n
| ) |  | const

Definition at line 501 of file String.cpp.

References find_first_not_of().

size_t Zeni::String::find_first_not_of | ( | const char * | s,
|  | size_t | pos = `0`
| ) |  | const

Definition at line 502 of file String.cpp.

References find_first_not_of().

size_t Zeni::String::find_first_not_of | ( | char | c,
|  | size_t | pos = `0`
| ) |  | const

Definition at line 503 of file String.cpp.

References find_first_not_of().

size_t Zeni::String::find_first_of | ( | const String & | str,
|  | size_t | pos = `0`
| ) |  | const

Definition at line 490 of file String.cpp.

Referenced by find_first_of().

size_t Zeni::String::find_first_of | ( | const char * | s,
|  | size_t | pos,
|  | size_t | n
| ) |  | const

Definition at line 491 of file String.cpp.

References find_first_of().

size_t Zeni::String::find_first_of | ( | const char * | s,
|  | size_t | pos = `0`
| ) |  | const

Definition at line 492 of file String.cpp.

References find_first_of().

size_t Zeni::String::find_first_of | ( | char | c,
|  | size_t | pos = `0`
| ) |  | const

Definition at line 493 of file String.cpp.

References find_first_of().

size_t Zeni::String::find_last_not_of | ( | const String & | str,
|  | size_t | pos = `npos`
| ) |  | const

Definition at line 505 of file String.cpp.

Referenced by find_last_not_of().

size_t Zeni::String::find_last_not_of | ( | const char * | s,
|  | size_t | pos,
|  | size_t | n
| ) |  | const

Definition at line 506 of file String.cpp.

References find_last_not_of().

size_t Zeni::String::find_last_not_of | ( | const char * | s,
|  | size_t | pos = `npos`
| ) |  | const

Definition at line 507 of file String.cpp.

References find_last_not_of().

size_t Zeni::String::find_last_not_of | ( | char | c,
|  | size_t | pos = `npos`
| ) |  | const

Definition at line 508 of file String.cpp.

References find_last_not_of().

size_t Zeni::String::find_last_of | ( | const String & | str,
|  | size_t | pos = `npos`
| ) |  | const

Definition at line 495 of file String.cpp.

Referenced by find_last_of().

size_t Zeni::String::find_last_of | ( | const char * | s,
|  | size_t | pos,
|  | size_t | n
| ) |  | const

Definition at line 496 of file String.cpp.

References find_last_of().

size_t Zeni::String::find_last_of | ( | const char * | s,
|  | size_t | pos = `npos`
| ) |  | const

Definition at line 497 of file String.cpp.

References find_last_of().

size_t Zeni::String::find_last_of | ( | char | c,
|  | size_t | pos = `npos`
| ) |  | const

Definition at line 498 of file String.cpp.

References find_last_of().

String & Zeni::String::insert | ( | size_t | pos1,
|  | const String & | str
| ) |  |

Definition at line 390 of file String.cpp.

Referenced by insert().

String & Zeni::String::insert | ( | size_t | pos1,
|  | const String & | str,
|  | size_t | pos2,
|  | size_t | n
| ) |  |

Definition at line 394 of file String.cpp.

References insert().

String & Zeni::String::insert | ( | size_t | pos1,
|  | const char * | s,
|  | size_t | n
| ) |  |

Definition at line 398 of file String.cpp.

References insert().

String & Zeni::String::insert | ( | size_t | pos1,
|  | const char * | s
| ) |  |

Definition at line 402 of file String.cpp.

References insert().

String & Zeni::String::insert | ( | size_t | pos1,
|  | size_t | n,
|  | char | c
| ) |  |

Definition at line 406 of file String.cpp.

References insert().

String::iterator Zeni::String::insert | ( | iterator | p,
|  | char | c
| ) |  |

Definition at line 410 of file String.cpp.

References insert().

void Zeni::String::insert | ( | iterator | p,
|  | size_t | n,
|  | char | c
| ) |  |

Definition at line 413 of file String.cpp.

References insert().

size_t Zeni::String::length | ( |  | ) | const

Definition at line 312 of file String.cpp.

size_t Zeni::String::max_size | ( |  | ) | const

Definition at line 314 of file String.cpp.

bool Zeni::String::operator!= | ( | const Zeni::String & | rhs | ) | const

Definition at line 521 of file String.cpp.

References const.

bool Zeni::String::operator!= | ( | const char * | rhs | ) | const

Definition at line 522 of file String.cpp.

References const.

String & Zeni::String::operator+= | ( | const String & | str | ) |

Definition at line 333 of file String.cpp.

String & Zeni::String::operator+= | ( | const char * | s | ) |

Definition at line 337 of file String.cpp.

String & Zeni::String::operator+= | ( | char | c | ) |

Definition at line 341 of file String.cpp.

bool Zeni::String::operator< | ( | const Zeni::String & | rhs | ) | const

Definition at line 523 of file String.cpp.

References const.

bool Zeni::String::operator< | ( | const char * | rhs | ) | const

Definition at line 524 of file String.cpp.

References const.

bool Zeni::String::operator<= | ( | const Zeni::String & | rhs | ) | const

Definition at line 527 of file String.cpp.

References const.

bool Zeni::String::operator<= | ( | const char * | rhs | ) | const

Definition at line 528 of file String.cpp.

References const.

String & Zeni::String::operator= | ( | const String & | str | ) |

Definition at line 282 of file String.cpp.

References swap().

String & Zeni::String::operator= | ( | const char * | s | ) |

Definition at line 287 of file String.cpp.

References swap().

String & Zeni::String::operator= | ( | char | c | ) |

Definition at line 292 of file String.cpp.

References swap().

String& Zeni::String::operator= | ( | const std::string & | rhs | ) |

inline

Definition at line 422 of file String.h.

References swap().

bool Zeni::String::operator== | ( | const Zeni::String & | rhs | ) | const

Definition at line 519 of file String.cpp.

References const.

bool Zeni::String::operator== | ( | const char * | rhs | ) | const

Definition at line 520 of file String.cpp.

References const.

bool Zeni::String::operator> | ( | const Zeni::String & | rhs | ) | const

Definition at line 525 of file String.cpp.

References const.

bool Zeni::String::operator> | ( | const char * | rhs | ) | const

Definition at line 526 of file String.cpp.

References const.

bool Zeni::String::operator>= | ( | const Zeni::String & | rhs | ) | const

Definition at line 529 of file String.cpp.

References const.

bool Zeni::String::operator>= | ( | const char * | rhs | ) | const

Definition at line 530 of file String.cpp.

References const.

String::value_type Zeni::String::operator[] | ( | const unsigned int & | pos | ) | const

Definition at line 327 of file String.cpp.

References const.

String::value_type & Zeni::String::operator[] | ( | const unsigned int & | pos | ) |

Definition at line 328 of file String.cpp.

void Zeni::String::push_back | ( | char | c | ) |

Definition at line 367 of file String.cpp.

String::reverse_iterator Zeni::String::rbegin | ( |  | ) |

Definition at line 304 of file String.cpp.

Referenced by rbegin().

String::const_reverse_iterator Zeni::String::rbegin | ( |  | ) | const

Definition at line 305 of file String.cpp.

References const, and rbegin().

String::reverse_iterator Zeni::String::rend | ( |  | ) |

Definition at line 307 of file String.cpp.

Referenced by rend().

String::const_reverse_iterator Zeni::String::rend | ( |  | ) | const

Definition at line 308 of file String.cpp.

References const, and rend().

String & Zeni::String::replace | ( | size_t | pos1,
|  | size_t | n1,
|  | const String & | str
| ) |  |

Definition at line 428 of file String.cpp.

Referenced by replace().

String & Zeni::String::replace | ( | iterator | i1,
|  | iterator | i2,
|  | const String & | str
| ) |  |

Definition at line 432 of file String.cpp.

References replace().

String & Zeni::String::replace | ( | size_t | pos1,
|  | size_t | n1,
|  | const String & | str,
|  | size_t | pos2,
|  | size_t | n2
| ) |  |

Definition at line 436 of file String.cpp.

References replace().

String & Zeni::String::replace | ( | size_t | pos1,
|  | size_t | n1,
|  | const char * | s,
|  | size_t | n2
| ) |  |

Definition at line 440 of file String.cpp.

References replace().

String & Zeni::String::replace | ( | iterator | i1,
|  | iterator | i2,
|  | const char * | s,
|  | size_t | n2
| ) |  |

Definition at line 444 of file String.cpp.

References replace().

String & Zeni::String::replace | ( | size_t | pos1,
|  | size_t | n1,
|  | const char * | s
| ) |  |

Definition at line 448 of file String.cpp.

References replace().

String & Zeni::String::replace | ( | iterator | i1,
|  | iterator | i2,
|  | const char * | s
| ) |  |

Definition at line 452 of file String.cpp.

References replace().

String & Zeni::String::replace | ( | size_t | pos1,
|  | size_t | n1,
|  | size_t | n2,
|  | char | c
| ) |  |

Definition at line 456 of file String.cpp.

References replace().

String & Zeni::String::replace | ( | iterator | i1,
|  | iterator | i2,
|  | size_t | n2,
|  | char | c
| ) |  |

Definition at line 460 of file String.cpp.

References replace().

void Zeni::String::reserve | ( | size_t | res_arg = `0` | ) |

Definition at line 321 of file String.cpp.

void Zeni::String::resize | ( | size_t | n,
|  | char | c
| ) |  |

Definition at line 316 of file String.cpp.

Referenced by Zeni::grab_bytes(), Zeni::File_Ops::load_asset(), Zeni::UDP_Socket::receive(), Zeni::Split_UDP_Socket::receive(), resize(), Zeni::Split_UDP_Socket::send(), and Zeni::TCP_Socket::try_receive().

void Zeni::String::resize | ( | size_t | n | ) |

Definition at line 317 of file String.cpp.

References resize().

size_t Zeni::String::rfind | ( | const String & | str,
|  | size_t | pos = `npos`
| ) |  | const

Definition at line 485 of file String.cpp.

Referenced by rfind(), and Zeni::Shader_DX9::Shader_DX9().

size_t Zeni::String::rfind | ( | const char * | s,
|  | size_t | pos,
|  | size_t | n
| ) |  | const

Definition at line 486 of file String.cpp.

References rfind().

size_t Zeni::String::rfind | ( | const char * | s,
|  | size_t | pos = `npos`
| ) |  | const

Definition at line 487 of file String.cpp.

References rfind().

size_t Zeni::String::rfind | ( | char | c,
|  | size_t | pos = `npos`
| ) |  | const

Definition at line 488 of file String.cpp.

References rfind().

size_t Zeni::String::size | ( |  | ) | const

Definition at line 310 of file String.cpp.

Referenced by Zeni::Font_FT::get_text_width(), Zeni::Text_Box::on_accept(), Zeni::Text_Box::on_key(), Zeni::UDP_Socket::receive(), Zeni::Split_UDP_Socket::receive(), Zeni::Font_FT::render_text(), Zeni::Text_Box::seek(), Zeni::UDP_Socket::send(), Zeni::Split_UDP_Socket::send(), Zeni::Shader_DX9::Shader_DX9(), Zeni::TCP_Socket::try_send(), and Zeni::Console_State::write_to_log().

std::string Zeni::String::std_str | ( |  | ) | const

inline

Definition at line 428 of file String.h.

Referenced by load_config(), and Zeni::Split_UDP_Socket::receive().

String Zeni::String::substr | ( | size_t | pos = `0`,
|  | size_t | n = `npos`
| ) |  | const

Definition at line 510 of file String.cpp.

References String().

Referenced by Zeni::Configurator_Video::Configurator_Video(), Zeni::Text_Box::on_key(), Zeni::Shader_DX9::Shader_DX9(), and Zeni::Console_State::write_to_log().

void Zeni::String::swap | ( | String & | str | ) |

Definition at line 465 of file String.cpp.

References swap().

Referenced by operator=(), operator>>(), and swap().

## Member Data Documentation

const size_type Zeni::String::npos = size_type(-1)

static

Definition at line 37 of file String.h.

Referenced by Zeni::Shader_DX9::Shader_DX9().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni/Zeni/String.h
- zenilib/jni/external/zenilib/zeni/String.cpp